Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.enterprise.jsp
Class InsertDocumentTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              com.dbxml.db.enterprise.jsp.InsertDocumentTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.BodyTag, javax.servlet.jsp.tagext.IterationTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class InsertDocumentTag
extends javax.servlet.jsp.tagext.BodyTagSupport

InsertDocumentTag inserts the tag's BodyContent into the specified CollectionClient and returns the newly generated key.
Example:

       <dbxml:insert name="myKey" collection="myCol">
          <newdoc>
             Some document
          </newdoc>
       </dbxml:insert>

See Also:
  Serialized Form

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`InsertDocumentTag()`

Method Summary
`int` | `doEndTag()`
`java.lang.String` | `getCollection()`
`java.lang.String` | `getName()`
`void` | `setCollection(java.lang.String collection)`
`void` | `setName(java.lang.String name)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### InsertDocumentTag

    public InsertDocumentTag()

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getCollection

    public java.lang.String getCollection()

### setCollection

    public void setCollection(java.lang.String collection)

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group